Subject: [Ntp] Antw: Re: New rev of the NTP port randomization I-D (Fwd: New Version Notification for draft-gont-ntp-port-randomization-01.txt)
From: "Ulrich Windl" <[email-masked]>
To: "[email-masked]" <[email-masked]>,<[email-masked]>
Date: Mon, 03 Jun 2019 07:56:03 +0200
List-Id: <ntp.ietf.org>

>>> Harlan Stenn <[email-masked]> schrieb am 29.05.2019 um 19:15 in Nachricht
<[email-masked]>:

[...]
> If your point is to change the last sentence of RFC590 9.1 where it says:
> 
>    srcport: UDP port number of the server or reference clock.  This
>    becomes the destination port number in packets sent from this
>    association.  When operating in symmetric modes (1 and 2), this field
>    must contain the NTP port number PORT (123) assigned by the IANA.  In
>    other modes, it can contain any number consistent with local policy.
> 
> to:
> 
>    ... In other modes, it SHOULD contain any number consistent with
>    local policy.

As "local policy" is quit unspecific, I see no gain in using SHOULD. I'd even prefer MAY (to point out the level of uncertainty regarding port numers in this case).

> 
> I'm fine with that.
> 
[...]

Regards,
Ulrich